import 'package:fluro/fluro.dart';
import 'package:yumi/modules/store/store_page.dart';
import 'package:yumi/modules/user/my_items/my_items_page.dart';

import 'package:yumi/app/routes/sc_router_init.dart';

class StoreRoute implements SCIRouterProvider {
  static String list = '/main/store/list';
  static String bags = '/main/store/bag';

  @override
  void initRouter(FluroRouter router) {
    router.define(
      list,
      handler: Handler(handlerFunc: (_, params) => StorePage()),
    );
    router.define(
      bags,
      handler: Handler(handlerFunc: (_, params) => MyItemsPage()),
    );
  }
}
